# !/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 4484 $
$LastChangedDate:: 2021-06-15 16:57:50 +0200#$

This file is part of SyMSpace.

Copyright (c) 2021, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

if __name__ == '__main__':
    """
    This script is used in componentspace.create_buildscript
    """
    import traceback
    import argparse
    from symspace.osutils.pathutils import CMDParser

    parser = argparse.ArgumentParser(description='Execute build script and save error log')
    parser.add_argument('build_component_py', help='')
    parser.add_argument('build_txt', help='')

    args = CMDParser.jepSysArgs()
    args = parser.parse_args(args)

    script = CMDParser.jepArgPath(args.build_component_py)
    build_txt = CMDParser.jepArgPath(args.build_txt)

    with open(build_txt, 'w') as fh:
        fh.write('')

    try:
        exec(open(script).read())
    except Exception:
        with open(build_txt, 'w') as fh:
            fh.write('Error: ')
            fh.write(traceback.format_exc())
