#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.5

$LastChangedRevision: 5322 $
$LastChangedDate:: 2021-12-06 15:31:58 +0100#$

This file is part of SyMSpace.

Copyright (c) 2017, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

from symspace.gui.qt.form_dialog import FormDialog
from componentspace.utils.image_processing import ImageProcessing


if __name__ == '__main__':

    form_title = 'Open Image File'
    form_elements = [('Select image file', 'browse_file', '', 'Project files (*.*)')]
    form_result = FormDialog.run(form_title, form_elements)
    
    if form_result['accept']:
        img = ImageProcessing(form_result['Select image file'])
        img.strip()
        img.save()
    else:
        print('Cancelled by user')

