"""
Python Version : 3.5

$LastChangedRevision: 3906 $
$LastChangedDate:: 2020-11-24 11:20:27 +0100#$

This file is part of SyMSpace/ComponentSpace .

Copyright (c) 2018, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

import os
from componentspace.heroku_component import HerokuComponent

mop_file = os.path.join(os.getenv('ComponentSpace'), 'KnowledgeEngines', 'Heroku', 'HerokuMinimalShowcase',
                        'HerokuMinimalShowcase.mop')

comp = HerokuComponent(mop_file)
comp.buildComponent()

print('Script finished')
