if __name__ == '__main__':
    parameter = locals()['__project__']

    for par in parameter.getUsedInputParameter():

        # do not show locked parameters
        if hasattr(par, 'getLock') and par.getLock():
            continue

        desc = par.getDescription()
        ident = par.getIdentifier().replace(par.getRoot().getName() + '.', '')
        if hasattr(par, 'getData'):
            value = str(par.getData()).replace('.', ',')
        else:
            value = ''

        if hasattr(par, 'getUnit'):
            unit = par.getUnit()
        else:
            unit = ''

        print('{}\t{}\t{}\t{}'.format(desc, ident, value, unit))
